Package org.eclipse.birt.report.model.api.metadata

# Interface IColorConstants

public interface IColorConstants
The interface for constants of colors used in BIRT.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`AQUA`
The color aqua.
`static final String`
`BLACK`
The color black.
`static final String`
`BLUE`
The color blue.
`static final String`
`COLORS_CHOICE_SET`
ChoiceSet name for color set.
`static final String`
`FUCHSIA`
The color fuchsia.
`static final String`
`GRAY`
The color gray.
`static final String`
`GREEN`
The color green.
`static final String`
`LIME`
The color lime.
`static final String`
`MAROON`
The color maroon.
`static final String`
`NAVY`
The color navy.
`static final String`
`OLIVE`
The color olive.
`static final String`
`ORANGE`
The color blue.
`static final String`
`PURPLE`
The color purple.
`static final String`
`RED`
The color red.
`static final String`
`SILVER`
The color silver.
`static final String`
`TEAL`
The color teal.
`static final String`
`WHITE`
The color white.
`static final String`
`YELLOW`
The color yellow.

## Field Details

### BLACK

static final String BLACK
The color black. sRGB value "#000000".

See Also:
  - Constant Field Values

### BLUE

static final String BLUE
The color blue. sRGB value "#0000FF".

See Also:
  - Constant Field Values

### AQUA

static final String AQUA
The color aqua. sRGB value "#00FFFF".

See Also:
  - Constant Field Values

### WHITE

static final String WHITE
The color white. sRGB value ""#FFFFFF".

See Also:
  - Constant Field Values

### RED

static final String RED
The color red. sRGB value "#FF0000".

See Also:
  - Constant Field Values

### ORANGE

static final String ORANGE
The color blue. sRGB value "#FFA500".

See Also:
  - Constant Field Values

### SILVER

static final String SILVER
The color silver. sRGB value "#C0C0C0".

See Also:
  - Constant Field Values

### GRAY

static final String GRAY
The color gray. sRGB value "#808080".

See Also:
  - Constant Field Values

### MAROON

static final String MAROON
The color maroon. sRGB value "#800000".

See Also:
  - Constant Field Values

### PURPLE

static final String PURPLE
The color purple. sRGB value "#800080".

See Also:
  - Constant Field Values

### FUCHSIA

static final String FUCHSIA
The color fuchsia. sRGB value "#FF00FF".

See Also:
  - Constant Field Values

### GREEN

static final String GREEN
The color green. sRGB value "#008000".

See Also:
  - Constant Field Values

### LIME

static final String LIME
The color lime. sRGB value "#00FF00".

See Also:
  - Constant Field Values

### OLIVE

static final String OLIVE
The color olive. sRGB value "#808000".

See Also:
  - Constant Field Values

### YELLOW

static final String YELLOW
The color yellow. sRGB value "#FFFF00".

See Also:
  - Constant Field Values

### NAVY

static final String NAVY
The color navy. sRGB value "#000080".

See Also:
  - Constant Field Values

### TEAL

static final String TEAL
The color teal. sRGB value "#008080".

See Also:
  - Constant Field Values

### COLORS_CHOICE_SET

static final String COLORS_CHOICE_SET
ChoiceSet name for color set.

See Also:
  - Constant Field Values